#############################################################
#
# nasm
#
#############################################################
NASM_SOURCE:=nasm-0.98.38.tar.bz2
NASM_SITE:=http://easynews.dl.sourceforge.net/sourceforge/nasm/
NASM_CAT:=bzcat
NASM_DIR:=$(BUILD_DIR)/nasm-0.98.38
NASM_BINARY:=nasm
NASM_TARGET_BINARY:=usr/bin/nasm

$(DL_DIR)/$(NASM_SOURCE):
	 $(WGET) -P $(DL_DIR) $(NASM_SITE)/$(NASM_SOURCE)

nasm-source: $(DL_DIR)/$(NASM_SOURCE)

$(NASM_DIR)/.unpacked: $(DL_DIR)/$(NASM_SOURCE)
	$(NASM_CAT) $(DL_DIR)/$(NASM_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(NASM_DIR)/.unpacked

$(NASM_DIR)/.configured: $(NASM_DIR)/.unpacked
	(cd $(NASM_DIR); rm -rf config.cache; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS)" \
		./configure \
		--target=$(GNU_TARGET_NAME) \
		--host=$(GNU_TARGET_NAME) \
		--build=$(GNU_HOST_NAME) \
		--prefix=$(TARGET_DIR)/usr \
		$(DISABLE_NLS) \
		$(DISABLE_LARGEFILE) \
	);
	touch  $(NASM_DIR)/.configured

$(NASM_DIR)/$(NASM_BINARY): $(NASM_DIR)/.configured
	$(MAKE) CC=$(TARGET_CC) -C $(NASM_DIR)

# This stuff is needed to work around GNU make deficiencies
$(TARGET_DIR)/$(NASM_TARGET_BINARY): $(NASM_DIR)/$(NASM_BINARY)
	mkdir -p $(TARGET_DIR)/usr/man
	mkdir -p $(TARGET_DIR)/usr/man/man1
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(NASM_DIR) install

nasm: $(TARGET_DIR)/$(NASM_TARGET_BINARY)

nasm-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(NASM_DIR) uninstall
	-$(MAKE) -C $(NASM_DIR) clean

nasm-dirclean:
	rm -rf $(NASM_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_NASM)),y)
TARGETS+=nasm
endif
